# primer u kome se vidi nacin na koji "iteriramo" kroz niz, kao i kroz recnik

niz = [1,2,3,4,5]

# u primeru niza, iteriramo preko elemenata
for element in niz:
    print(element)

print("---------------")

recnik = {
    "a": 1,
    "b": 2,
    "c": 3,
    "d": 4,
    "e": 5,
}

# u primeru recnika, iteriramo preko kljuca
# a da dobijemo element u recniku koristimo `recnik[kljuc]`
for kljuc in recnik:
    print(kljuc, recnik[kljuc])

# imati na umu da `kljuc` promenljiva u liniji `for kljuc in recnik` ne mora da se zove kljuc,
# to je samo naziv koji smo mi odabrali; samo treba zapamtiti da to ime mozemo da koristimo samo 
# unutar for pelje (tj, za vreme iteriranja)
